# Initially generated by rust2rpm 23. Manually modified to support building
# using crates not available from crates.io. As a result, this package cannot
# be built offline. It is primarily intended for CI builds.
%bcond_without check

%global crate nm-reactor

Name:           rust-nm-reactor
Version:        0.1.2
Release:        %autorelease
Summary:        NetworkManager reactor

License:        BSD-3-Clause
URL:            https://gitlab.chromabits.com/etcinit/nm-reactor
Source:         https://gitlab.chromabits.com/etcinit/nm-reactor/-/archive/%{version}/nm-reactor-%{version}.tar.gz

BuildRequires:  rust-packaging >= 21
BuildRequires:  dbus-devel

%global _description %{expand:
NetworkManager reactor. If-this-then-that for NetworkManager.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/nm-reactor

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
set -eu
%{__mkdir} -p .cargo
	
cat > .cargo/config << EOF
[build]
rustc = "%{__rustc}"
rustdoc = "%{__rustdoc}"
	
[env]
CFLAGS = "%{build_cflags}"
CXXFLAGS = "%{build_cxxflags}"
LDFLAGS = "%{build_ldflags}"
	
[install]
root = "%{buildroot}%{_prefix}"
	
[term]
verbose = true
	
[source]
	
[source.local-registry]
directory = "%{cargo_registry}"
EOF

%{__rm} -f Cargo.lock
%{__rm} -f Cargo.toml.orig

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog

